Bug 137213 - PS/2 keyboard does not work on Intel SE7505VB2 motherboard.
PS/2 keyboard does not work on Intel SE7505VB2 motherboard.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 14:36 EDT by Jim Rothrock
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Rothrock 2004-10-26 14:36:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
If a PS/2 keyboard is used with an Intel SE7505VB2 motherboard, Fedora
Core 2 thinks that the keyboard is a mouse.  Typing on the keyboard
results in various error messages being displayed on the console.  The
messages begin with "psmouse.c".

One can work around this problem by using a USB keyboard instead of a
PS/2 version.  However, the following messages are displayed to the
console when one attempts to reboot the system:

    psmouse.c: bad data from KBC - timeout
    Shutdown: hda
    Restarting system.

The system then hangs, and must be rebooted by pressing the reset button.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.  Plug a PS/2 keyboard into an Intel SE7505VB2 motherboard.
2.  Boot Fedora Core 2.  

Actual Results:  Typing on the keyboard resulted in psmouse.c-related
error messages being displayed on the console.

Expected Results:  I should have been able to type normally.

Additional info:
Comment 1 Jim Rothrock 2004-10-26 17:30:19 EDT
This problem occurs only when using the SMP kernel.
Comment 2 Dave Jones 2005-04-16 02:11:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.